package j3d;

import utils.OsUtils;
import gui.In;

/**
 * Copyright DocJava, inc. User: lyon
 * <p/>
 * Date: Jan 5, 2005
 * <p/>
 * Time: 6:38:19 PM
 */
public class Loader {
    public static void load(){
        System.out.println("Loading java 3d for:"+OsUtils.getOsName());
        System.out.println("java.library.path=" +
                utils.SystemUtils.getLibraryPath());

        ///System/Library/Java/Extensions
        if (OsUtils.isMacOs())
            macOsLoad();
        else if (OsUtils.isWindows())
            windowsOsLoad();
        else
            In.message("can't load j3d");
    }

    private static void windowsOsLoad() {
        System.loadLibrary("j3dAudio");
        System.loadLibrary("J3DUtils");
        System.loadLibrary("J3D");
        In.message("loaded j3d into windows");
    }

    private static void macOsLoad() {
        System.loadLibrary("J3DAudio");
        System.loadLibrary("J3DUtils");
        System.loadLibrary("J3D");
        In.message("loaded j3d into mac");
    }
    public static void main(String[] args) {
        load();
    }
}
